function fn_xpn_listar () {
	swal({
		title 	: 'Alerta!',
		html 	: 'Cargando...',
		onOpen 	: function () {
			swal.showLoading();
			$.ajax({
				url 	: ruta + 'movimientos/xpn/listar',
				data 	: {
					mes_anio 	: $('#txt_mes_anio').val(),
					xco 		: $('#cbo_xco option:selected').val()
				},
				type 	: 'post',
				dataType: 'json',
				success : function (data) {
					$('#xpn_data').DataTable().destroy();
					$('#xpn_data tbody').html(data[0]);
					$('#xpn_data').DataTable({
    		            "searching"     : false,
    		            "scrollY"       : ($(window).height() - 435) + "px",
    		            "scrollCollapse": true,
    		            "paging"        : false,
    		            "language"		: {
    		            	"url" 			: ruta + 'json/Spanish.json'
    		            }
					});
					swal.close();
				}
			});
		}
	});
}

function fn_xpn_listar_nuevo () {
	mhtml 	= '';
	if($('#cbo_xco option:selected').val()==0){
		sel 	= $('#cbo_xco');
		mhtml 	= 'Debe seleccionar un Consultorio<br>';
	}
	if($('#cbo_xpl option:selected').val()==0){
		sel 	= $('#cbo_xpl');
		mhtml 	= 'Debe seleccionar un Personal Médico<br>';
	}
	if(mhtml!=''){
		/*swal({
			title 	: 'Alerta!',
			html 	: mhtml + 'Campos requeridos!'
		});*/
		//this.stopPropagation();
		return false;
	}
	$.ajax({
		url 	: ruta + 'movimientos/xpn/listar_nuevo',
		data 	: {
			mes_anio 	: $('#txt_mes_anio').val(),
			xco 		: $('#cbo_xco option:selected').val(),
			xpl 		: $('#cbo_xpl option:selected').val()
		},
		type 	: 'post',
		dataType: 'json',
		success : function (data) {
			//$('#xpn_data').DataTable().destroy();
			$('#xpn_data').html(data[0]);
			//$('#xpn_data').DataTable({
            //    "searching"     : false,
            //    "scrollY"       : ($(window).height()) + "px",
            //    "scrollCollapse": true,
            //    "paging"        : false
			//});
		}
	});
}

function fn_xpn_insertar(d1) {
	swal({
		title 	: 'Alerta!',
		html 	: 'Cargando...',
		onOpen 	: function () {
			swal.showLoading();
			$.post(ruta + 'movimientos/xpn/insertar', {
				d1 	: $('#cbo_xco option:selected').val(),
				d2 	: $('#cbo_xpl option:selected').val(),
				d3 	: d1
			}, function (data) {
				fn_xpn_listar_nuevo();
				swal.close();
			});
		}
	});
}

function fn_xpn_eliminar(d1) {
	swal({
		title 	: 'Alerta!',
		html 	: 'Cargando...',
		onOpen 	: function () {
			swal.showLoading();
			$.post(ruta + 'movimientos/xpn/eliminar', {
				d1 	: d1
			}, function (data) {
				fn_xpn_listar_nuevo();
				swal.close();
			});
		}
	});
}


function fn_xpn_ver(d1, d2, d3, d4, d5, d6) {
	swal({
		title 	: 'Editar Cantidad de Cupos',
		html 	: 
			'Consultorio: <b>' + d2 + '</b><br>' +
			'Personal: <b>' + d3 + '</b><br>' +
			'Fecha: <b>' + d4 + '</b><br>' +
			'Citas: <b>' + d6 +'</b><br>' +
			'<input type="text" id="txt_cupos" name="txt_cupos" value="'+d5+'" autofocus class="form-control"/>',
		type 	: 'info',
		showCancelButton 		: true,
  		confirmButtonText 		: '<span class="glyphicon glyphicon-floppy-disk"></span> <b>Grabar cambios</b>',
  		cancelButtonText 		: 'Cancelar!',
  		confirmButtonClass 		: 'btn btn-primary',
  		cancelButtonClass 		: 'btn btn-danger',
  		allowOutsideClick 		: false,
        allowEscapeKey 			: false,
  		buttonsStyling 			: false,
  		onOpen: function () {
    		$('#txt_cupos').focus();
  		},
		preConfirm: function () {
			return new Promise(function (resolve, reject) {
				if($('#txt_cupos').val()<d6){
					reject('La nueva cantidad de cupos no puede ser menor que la cantidad de Citados!');
				}else{
					$.ajax({
						url 	: ruta + 'movimientos/xpn/editar_cupos',
						data 	: {
							d1 	: d1,
							d2 	: $('#txt_cupos').val()
						},
						type 	: 'post',
						success : function (data) {
							resolve();
						}
					});
				}
			});
		},
		allowOutsideClick: false
	}).then(function () {
		//swal('Alerta!','Datos grabados correctamente.','success');
		fn_xpn_listar();
	});
}

function fn_xpn_combo() {
	swal({
		title 	: 'Alerta!',
		html 	: 'Cargando...',
		onOpen 	: function () {
			swal.showLoading();
			$.post(ruta + 'movimientos/xpn/listar_citar', {
				fecha 	: $('#txt_fecha').val()
			}, function (data) {
				$('#cbo_xpn').html(data);
				swal.close();
			});
		}
	});
}

/*



function fn_xpn_nuevo() {
	var res = 0;
	swal({
		title 	: 'Nuevo Consultorio',
		html 	: '<input type="text" id="txt_descripcion" name="txt_descripcion" autofocus class="form-control"/>',
		type 	: 'info',
		showCancelButton 		: true,
  		confirmButtonText 		: '<span class="glyphicon glyphicon-floppy-disk"></span> <b>Grabar</b>',
  		cancelButtonText 		: 'Cancelar!',
  		confirmButtonClass 		: 'btn btn-primary',
  		cancelButtonClass 		: 'btn btn-danger',
  		allowOutsideClick 		: false,
        allowEscapeKey 			: false,
  		buttonsStyling 			: false,
  		onOpen: function () {
    		$('#txt_descripcion').focus();
  		},
		preConfirm: function () {
			return new Promise(function (resolve, reject) {
				if($('#txt_descripcion').val()==''){
					reject('Debe ingresar un consultorio!');
				}else{
					$.ajax({
						url 	: ruta + 'maestras/xpn/insertar',
						data 	: {
							d1 	: $('#txt_descripcion').val()
						},
						type 	: 'post',
						success : function (data) {
							resolve();
							if(data>0)res=1;
						}
					});
				}
			});
		},
		allowOutsideClick: false
	}).then(function () {
		if(res==1)swal('Alerta!','La Programación ya existe en el sistema.','warning');
		else{
			swal({
				title 	: 'Alerta!',
				html 	: 'Programación ingresada correctamente.',
				type 	: 'success',
				allowOutsideClick 		: false,
        		allowEscapeKey 			: false
        	}).then(function () {
        		fn_xpn_listar();
        	});
		}
	});
}

function fn_xpn_ver(d1, d2) {
	swal({
		title 	: 'Editar Consultorio',
		html 	: '<input type="text" id="txt_descripcion" name="txt_descripcion" value="'+d2+'" autofocus class="form-control"/>',
		type 	: 'info',
		showCancelButton 		: true,
  		confirmButtonText 		: '<span class="glyphicon glyphicon-floppy-disk"></span> <b>Grabar cambios</b>',
  		cancelButtonText 		: 'Cancelar!',
  		confirmButtonClass 		: 'btn btn-primary',
  		cancelButtonClass 		: 'btn btn-danger',
  		allowOutsideClick 		: false,
        allowEscapeKey 			: false,
  		buttonsStyling 			: false,
  		onOpen: function () {
    		$('#txt_descripcion').focus();
  		},
		preConfirm: function () {
			return new Promise(function (resolve, reject) {
				if($('#txt_descripcion').val()==''){
					reject('Debe ingresar un consultorio!');
				}else{
					$.ajax({
						url 	: ruta + 'maestras/xpn/editar',
						data 	: {
							d1 	: d1,
							d2 	: $('#txt_descripcion').val()
						},
						type 	: 'post',
						success : function (data) {
							resolve();
						}
					});
				}
			});
		},
		allowOutsideClick: false
	}).then(function () {
		swal('Alerta!','Datos grabados correctamente.','success');
		fn_xpn_listar();
	});
}*/